Application: gvSIG desktop - gvSIG bugs #4531
Projections for Portugal are not always recognized correctly
07/10/2017 04:18 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: CRS

Target version: 2.4.0-2835 (rev. org.gvsig.deskiop-2.0.202)

Severity: Major Add-on version:

gvSIG version: 2.4.0 Add-on build:

gvSIG build: 2827 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Yes Hito:

Add-on name: Unknown

Description

ESRI projections for Portugal are not always well recognized, because gvSIG searches only in the EPSG Registry when trying to
match a projection file with an existing CRS code (see #4290).

Some discussions about it:
http://osgeo-org.1560.x6.nabble.com/EPSG-codes-for-Portugal-td5322515.html
http://osgeo-org.1560.x6.nabble.com/Fwd-Projections-for-Portugal-td5325819.html
https://forum.openstreetmap.org/viewtopic.php?id=57756

Sample data:
https://drive.google.com/file/d/0ByBJp2L6jySyWGh1dVh5Q2R5S1E/view?usp=sharing

| attach a patch in order to make faster projection file recognition than in gvSIG 2.3.1, detecting also ESRI WKTs when there's not an
exact match in EPSG Registry. Generally, if the SR code is less of 33000 the SR is interpreted as an EPSG one (with transformation
parameters predefined in GDAL), otherwise as an ESRI one (without transformation parameters). So the user has to set the
transformation parameters in the last case.

The patch also contains an update of the esri.script file derived from the esri-proj-codes project (https:/github.com/Esri/esri-proj-codes
), licensed under the Apache License, Version 2.0.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4869: Falla al cargar un... Closed 05/03/2018
Related to Application: gvSIG desktop - gvSIG bugs # 4832: The PRJ file is no... Closed 03/05/2018

Associated revisions

Revision 727 - 09/02/2017 08:17 PM - Joaquin del Cerro Murciano

refs #4531, Patch provided by Antonio Falciano. Better recognition of the ESRI projections for Portugal

Revision 841 - 05/08/2018 11:55 AM - Joaquin del Cerro Murciano

refs #4531, #4832, #4869 . Refactorizado la identificacion de la proyeccion a partir de WKT. Se han recuperado algoritmos de varias versiones

anteriores y se aplican uno tras otro hasta obtener una identificacion de la proyeccion.

History
#1 - 07/13/2017 06:14 PM - Antonio Falciano

I've forgotten to attach also the package index (gvspki).

#2 - 07/27/2017 04:29 PM - Antonio Falciano

- Status changed from New to Fixed

#3 - 07/27/2017 04:31 PM - Antonio Falciano

- Status changed from Fixed to New

#4 - 08/17/2017 05:29 PM - Antonio Falciano
- Status changed from New to Awaiting response

- File Projections for Portugal.zip added

gvSIG 2.3.1 & gvSIG 2.4.0 without patch

- File gvSIG-desktop-2.4.0-org.gvsig.projection.app.jcrs-2.1.71-SNAPSHOT-2125-testing-all-all-j1_7.gvspki added

-

4 Aggiungi layer

File | wcs | wes | ocr | wms | wmTs | webMaps | GeaDB | 0SM | PostGls Raster|

epsg_20791.shp
epsg_27493.shp
epsg_3763.shp

gcs datum lisboa hayford.shp
gsc_etrs_1989.shp
isboa_hayford_gauss_igece.shp

# EPSG:4258 (riproiettato al volo)
@ EPSG:4274 (riproiettato al volo)
@ EPSG:27493 (riproiettato 2l volo)
# EPSG:207%0 (riproiettate al vola)
@ EPSG:20791 (riproiettato 2l volo)
@ EPSG:27453 (riproiettato al volo)
@EPSG:3753 (riproiettato al volo)
@EPSG:4M7 (riproicttato 2l volo)
@ EPSG:4274 (riproiettato al vola)
@ EPSG:3763 (riproiettato al volo)
@EPSG:4672 (riproettato al valo)
@EPSG:4258 (riproiettato al volo)
@EPSG:5018 (riproiettato al vola)
EP5G:5018 (riprojettato al volo}

Annulla

gvSIG 2.4.0 with patch
4 Aggiungi layer |

‘ 2

File | wcs | wrs | 0GR | wMs | wMTs | webMaps | GeoDB | 0sM|

g
3

File Tassellato

EPSG_4258.shp

EPSG:4258 (riproiettato 2l volo)
GCS_Datum_73.shp

@ EPSG:4274 {riproisttato 2l vole)

datum 73 hayford gauss ipcc.shp
EPSG: 102151 {riproiettato 2l volo)
epsg_20790.shp

EPSG: 20790 (riproisttato al volo)
epsg_20791.shp

8 EPSG: 20791 {riproisttato 2l volko)
epsg_27493.shp

@ EPSG:27453 (riproiettato al volo)
epsg_3763.shp

(@ EPSG:3763 {riproiettato &l volo)
epsg_4207.shp

@ EPSG:4207 (riproiettato al volo)
epsg_43274.shp

8 EPSG:4274 (riproiettato 2l volo)
etrs_1989_portugal tm06.shp
@EPSG:3763 (riproiettato 2l vola)

gcs datum lisboa hayford.shp

@ EPSG: 104105 (riproisttato al volks)
gsc_etrs_1989.shp

@ EPSG:4258 (riproiettato al vola)
lisboa_hayford_gauss_igeoe.shp
EPSG: 102154 {riproiettato 2l volo)
lisboa_hayford gauss_ipcc.shp
Sotto

EPSG: 102165 (riproiettato 2l vola)

#5 - 08/29/2017 01:06 PM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206)

#6 - 09/02/2017 08:16 PM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2835 (rev. org.gvsig.desktop-2.0.202)

- Status changed from Awaiting response to Fixed

#7 - 09/06/2017 12:38 PM - Antonio Falciano
- Status changed from Fixed to Closed

#8 - 05/08/2018 11:52 AM - Joaquin del Cerro Murciano

- Related to gvSIG bugs #4869: Falla al cargar una capa intentando reconocer la proyeccion. added

#9 - 05/08/2018 11:54 AM - Joaquin del Cerro Murciano
- Related to gvSIG bugs #4832: The PRJ file is not recognized correctly added

Files

esri_wkt.patch 2.65 MB 07/10/2017 Antonio Falciano
gvSIG-desktop-2.4.0-org.gvsig.projection.app.jcrs-2.1.71-SNAPSHO T -2 039vBsting-all-al7j 10720 ¥3pkg Antonio Falciano
portugal_240_patch.jpg 75.3 KB 07/10/2017 Antonio Falciano
portugal_231.jpg 63.6 KB 07/10/2017 Antonio Falciano
gvSIG-desktop-2.4.0-org.gvsig.projection.app.jcrs-2.1.71-SNAPSHOT-2.025KBsting-all- &7 13720 ¢3pki Antonio Falciano
Projections for Portugal.zip 1.41 MB 08/17/2017 Antonio Falciano
